<div
  class="overlay"
  [ngClass]="{
    'overlay--opened': isOpened
  }"
  (click)="closeForm()"
></div>
<div
  class="container"
  [ngClass]="{
    'container--opened': isOpened,
    'container--closed': toggleCount && !isOpened
  }"
>
  <h1 class="container__title">create invoice</h1>
  <form
    class="container__form"
    [formGroup]="invoiceForm"
    (ngSubmit)="onInvoiceFormSubmit($event.submitter.id)"
  >
    <div class="container__form__content" #formContent>
      <p class="container__form__content__label">Bill From</p>
      <section
        class="container__form__content__section container__form__content__section--by-threes"
        formGroupName="senderAddress"
      >
        <div
          class="container__form__content__section__field container__form__content__section__field--row"
        >
          <label
            class="container__form__content__section__field__label"
            for="sender-street"
            >Street Address</label
          >
          <input
            class="container__form__content__section__field__input"
            type="text"
            name="sender-street"
            id="sender-street"
            formControlName="street"
          />
        </div>
        <div class="container__form__content__section__field">
          <label for="sender-city">City</label>
          <input
            class="container__form__content__section__field__input"
            type="text"
            name="sender-city"
            id="sender-city"
            formControlName="city"
          />
        </div>
        <div class="container__form__content__section__field">
          <label
            class="container__form__content__section__field__label"
            for="sender-post-code"
            >Post Code</label
          >
          <input
            class="container__form__content__section__field__input"
            type="text"
            name="sender-post-code"
            id="sender-post-code"
            formControlName="postCode"
          />
        </div>
        <div class="container__form__content__section__field">
          <label
            class="container__form__content__section__field__label"
            for="sender-country"
            >Country</label
          >
          <input
            class="container__form__content__section__field__input"
            type="text"
            name="sender-country"
            id="sender-country"
            formControlName="country"
          />
        </div>
      </section>
      <p class="container__form__content__label">Bill To</p>
      <section
        class="container__form__content__section container__form__content__section--by-threes"
      >
        <div
          class="container__form__content__section__field container__form__content__section__field--row"
        >
          <label for="client-name">Client's Name</label>
          <input
            class="container__form__content__section__field__input"
            type="text"
            name="client-name"
            id="client-name"
            formControlName="clientName"
          />
        </div>
        <div
          class="container__form__content__section__field container__form__content__section__field--row"
        >
          <label for="client-email">Client's Email</label>
          <input
            class="container__form__content__section__field__input"
            type="email"
            name="client-email"
            id="client-email"
            formControlName="clientEmail"
          />
        </div>
        <ng-container formGroupName="clientAddress">
          <div
            class="container__form__content__section__field container__form__content__section__field--row"
          >
            <label
              class="container__form__content__section__field__label"
              for="client-street"
              >Street Address</label
            >
            <input
              class="container__form__content__section__field__input"
              type="text"
              name="client-street"
              id="client-street"
              formControlName="street"
            />
          </div>
          <div class="container__form__content__section__field">
            <label for="client-city">City</label>
            <input
              class="container__form__content__section__field__input"
              type="text"
              name="client-city"
              id="client-city"
              formControlName="city"
            />
          </div>
          <div class="container__form__content__section__field">
            <label
              class="container__form__content__section__field__label"
              for="client-post-code"
              >Post Code</label
            >
            <input
              class="container__form__content__section__field__input"
              type="text"
              name="client-post-code"
              id="client-post-code"
              formControlName="postCode"
            />
          </div>
          <div class="container__form__content__section__field">
            <label
              class="container__form__content__section__field__label"
              for="client-country"
              >Country</label
            >
            <input
              class="container__form__content__section__field__input"
              type="text"
              name="client-country"
              id="client-country"
              formControlName="country"
            />
          </div>
        </ng-container>
      </section>
      <section
        class="container__form__content__section container__form__content__section--by-twos"
      >
        <div
          class="container__form__content__section__field container__form__content__section__field"
        >
          <label for="invoice-date">Invoice Date</label>
          <input
            class="container__form__content__section__field__input"
            type="date"
            name="invoice-date"
            id="invoice-date"
            formControlName="createdAt"
          />
        </div>
        <div
          class="container__form__content__section__field container__form__content__section__field"
        >
          <label
            class="container__form__content__section__field__label"
            for="payment-terms"
            >Payment Terms</label
          >
          <select
            class="container__form__content__section__field__input"
            name="payment-terms"
            id="payment-terms"
            formControlName="paymentTerms"
          >
            <option
              *ngFor="let paymentTerm of paymentTerms"
              [value]="paymentTerm.value"
            >
              {{ paymentTerm.label }}
            </option>
          </select>
        </div>
        <div
          class="container__form__content__section__field container__form__content__section__field--row"
        >
          <label for="description">Description</label>
          <textarea
            class="container__form__content__section__field__input"
            name="description"
            id="description"
            rows="2"
            formControlName="description"
          ></textarea>
        </div>
      </section>
      <section
        class="container__form__content__section container__form__content__section--by-fives"
        formArrayName="items"
        *ngFor="let item of itemsControls; let i = index"
      >
        <ng-container [formGroupName]="i">
          <div
            class="container__form__content__section__field container__form__content__section__field"
          >
            <label for="item-name">Item Name</label>
            <input
              class="container__form__content__section__field__input"
              type="text"
              name="item-name"
              id="item-name"
              formControlName="name"
            />
          </div>
          <div
            class="container__form__content__section__field container__form__content__section__field"
          >
            <label for="quantity">Qty.</label>
            <input
              class="container__form__content__section__field__input"
              type="number"
              name="quantity"
              id="quantity"
              formControlName="quantity"
              (input)="setItemTotal(i)"
            />
          </div>
          <div
            class="container__form__content__section__field container__form__content__section__field"
          >
            <label for="price">Price</label>
            <input
              class="container__form__content__section__field__input"
              type="number"
              name="price"
              id="price"
              formControlName="price"
              (input)="setItemTotal(i)"
            />
          </div>
          <div
            class="container__form__content__section__field container__form__content__section__field--between"
          >
            <label class="container__form__content__section__field__label"
              >Total</label
            >
            <span class="container__form__content__section__field__value">{{
              getTotal(i) | currency: "":"" | pesoSign
            }}</span>
          </div>
        </ng-container>
        <button
          class="container__form__content__section__field container__form__content__section__field__button"
          type="button"
          (click)="deleteItem(i)"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="container__form__content__section__field__button__trash"
            fill="none"
            viewBox="0 0 24 24"
            stroke="currentColor"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16"
            />
          </svg>
        </button>
      </section>
      <div
        class="container__form__content__section__field container__form__content__section__field--row"
      >
        <button class="btn btn--secondary" type="button" (click)="addNewItem()">
          + Add New Item
        </button>
      </div>
      <div
        class="container__form__content__section__field container__form__content__section__field--row container__form__content__section__field--error"
        *ngIf="invalidControls.length"
      >
        <p>Please fill all fields.</p>
      </div>
    </div>
    <footer class="container__form__footer">
      <div>
        <button class="btn btn--secondary" type="button" (click)="closeForm()">
          Discard
        </button>
      </div>
      <div>
        <button id="draft" class="btn btn--tertiary" type="submit">
          Save as Draft
        </button>
      </div>
      <div>
        <button id="pending" class="btn btn--primary" type="submit">
          Save & Send
        </button>
      </div>
    </footer>
  </form>
</div>
